package com.vungle.warren;

import android.support.v4.os.ResultReceiver;

public interface PublisherDirectDownload {

    /**
     * Provide the Receiver to Vungle SDK on which Publishers will listen for incoming requests
     * from Vungle's SDK. Vungle's SDK will use this receiver to send Requests to Publisher.
     * This is for incoming commands for Publishers
     * @return
     */
    ResultReceiver getPublisherReceiver();

    /**
     * Vungle SDK will use this method to set the Receiver using which it passes
     * back to Publisher the requests on which they will send corresponding responses
     * Publishers will need to use this instance of Receiver to send Response commands to SDK
     * This is for outgoing commands for Publishers
     * @param sdkCallBackReceiver
     */
    void setSDKCallbackReceiver(ResultReceiver sdkCallBackReceiver);
}
