package com.vungle.warren.analytics;

import android.support.annotation.NonNull;

import com.google.gson.JsonObject;
import com.vungle.warren.tasks.AnalyticsJob;
import com.vungle.warren.tasks.JobRunner;

public class JobDelegateAnalytics implements AdAnalytics {

    private final JobRunner jobRunner;

    public JobDelegateAnalytics(JobRunner jobRunner) {
        this.jobRunner = jobRunner;
    }

    @Override
    public String[] ping(@NonNull String[] urls) {
        jobRunner.execute(AnalyticsJob.makeJob(AnalyticsJob.Action.PING, null, urls));
        return new String[]{};
    }

    @Override
    public void ri(JsonObject body) {
        jobRunner.execute(AnalyticsJob.makeJob(AnalyticsJob.Action.RI, body.toString(), null));
    }
}
