package com.vungle.warren.network;

import java.io.File;

/**
 * DownloadListener for download updates. A listener should be given to the download methods in order to
 * be notified of completion and errors, as well as any updates that could be useful.
 * onError:
 * IOException if it is unable to write to the given destination, connection is failed or interrupted
 * todo:
 * IllegalArgumentException if the url provided is not valid. Note that a valid URL could
 * still fail to download.
 * IllegalStateException if the downloader instance has not been initialized.
 */
public interface DownloadListener {
    void onComplete(long id, File file);
    void onProgress(int progress, int status);
    void onError(long id, Throwable throwable);
}
