package com.vungle.warren.network;

import com.google.gson.JsonObject;

import java.util.Map;

import okhttp3.ResponseBody;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.Header;
import retrofit2.http.Headers;
import retrofit2.http.POST;
import retrofit2.http.Path;
import retrofit2.http.QueryMap;
import retrofit2.http.Url;

/**
 * Contract definition between the client and the server for the Vungle API. The endpoint paths
 * are dynamic and set by the response of the config endpoint.
 */
public interface VungleApi {

	@Headers(value = {"Content-Type: application/json", "Vungle-Version: 5.3.0"})
	@POST("config")
	Call<JsonObject> config(@Header("User-Agent") String ua, @Body JsonObject body);

	@Headers(value = {"Content-Type: application/json", "Vungle-Version: 5.3.0"})
	@GET("{new}")
	Call<JsonObject> reportNew(@Header("User-Agent") String ua, @Path(value = "new", encoded = true) String path, @QueryMap Map<String, String> query);

	@Headers(value = {"Content-Type: application/json", "Vungle-Version: 5.3.0"})
	@POST("{ads}")
	Call<JsonObject> ads(@Header("User-Agent") String ua, @Path(value = "ads", encoded = true) String path, @Body JsonObject body);

	@Headers(value = {"Content-Type: application/json", "Vungle-Version: 5.3.0"})
	@POST("{will_play_ad}")
	Call<JsonObject> willPlayAd(@Header("User-Agent") String ua, @Path(value = "will_play_ad", encoded = true) String path, @Body JsonObject body);

	@Headers(value = {"Content-Type: application/json", "Vungle-Version: 5.3.0"})
	@POST("{ri}")
	Call<JsonObject> ri(@Header("User-Agent") String ua, @Path(value = "ri", encoded = true) String path, @Body JsonObject body);

	@Headers(value = {"Content-Type: application/json", "Vungle-Version: 5.3.0"})
	@POST("{report_ad}")
	Call<JsonObject> reportAd(@Header("User-Agent") String ua, @Path(value = "report_ad", encoded = true) String path, @Body JsonObject body);

	@GET
	Call<ResponseBody> pingTPAT(@Header("User-Agent") String ua, @Url String url);
}
