package com.vungle.warren.utility;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.text.TextUtils;
import android.util.Log;
import android.webkit.URLUtil;

import com.vungle.warren.ui.VungleWebViewActivity;

import java.net.URISyntaxException;

import static com.vungle.warren.ui.VungleWebViewActivity.INTENT_URL;

public class ExternalRouter {

    public static final String TAG = ExternalRouter.class.getSimpleName();

    public static boolean launch(String url, Context context) {
        if (url == null || url.trim().isEmpty()) {
            return false;
        }
        try {
            Intent i = Intent.parseUri(url, 0);
            i.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);

            if (i.resolveActivity(context.getPackageManager()) != null) {
                context.startActivity(i);
                return true;
            }

            if (URLUtil.isHttpsUrl(url) || URLUtil.isHttpUrl(url)) {
                //open URl in webview activity.
                i.setComponent(new ComponentName(context, VungleWebViewActivity.class));
                i.putExtra(INTENT_URL, url);
                context.startActivity(i);
                return true;
            }
            //else
            Log.d(TAG, "Cannot open url " + url + url);
            return false;
        } catch (Exception e) {
            Log.e(TAG, "Error while opening url" + e.getLocalizedMessage());
            return false;
        }
    }

}
